FROM squidfunk/mkdocs-material AS m3u-su-docs-builder
COPY . /docs
RUN mkdocs build

FROM nginx:alpine AS m3u-su-docs
LABEL org.opencontainers.image.authors="Anthony Axenov <anthonyaxenov@gmail.com>"
COPY --from=m3u-su-docs-builder /docs/site /usr/share/nginx/html
WORKDIR /usr/share/nginx/html
USER root
EXPOSE 80
CMD [ "nginx", "-g", "daemon off;" ]
